{
	"name": "@domain-wall/frontend",
	"version": "0.0.1",
	"type": "module",
	"scripts": {
		"dev": "vite dev --port 5176",
		"build": "vite build",
		"prod": "HOST=0.0.0.0 PORT=3000 bun ./build/index.js",
		"preview": "vite preview",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"test:unit": "vitest run",
		"test": "npm run test:unit -- --run",
		"format": "prettier --write .",
		"lint": "prettier --check ."
	},
	"dependencies": {
		"@baselime/node-opentelemetry": "^0.5.8",
		"@baselime/sveltekit-opentelemetry-middleware": "^0.1.9",
		"@better-fetch/fetch": "^1.1.12",
		"@opentelemetry/api": "^1.9.0",
		"@pkg/email": "workspace:*",
		"@pkg/db": "workspace:*",
		"@pkg/logger": "workspace:*",
		"@pkg/logic": "workspace:*",
		"@pkg/result": "workspace:*",
		"@sveltejs/svelte-virtual-list": "^3.0.1",
		"@tailwindcss/container-queries": "^0.1.1",
		"@tailwindcss/forms": "^0.5.9",
		"@tailwindcss/typography": "^0.5.15",
		"@tanstack/svelte-query": "^5.62.3",
		"@tanstack/table-core": "^8.20.5",
		"@trpc/client": "^10.45.2",
		"@trpc/server": "^10.45.2",
		"argon2": "^0.41.1",
		"better-auth": "^1.2.7",
		"ioredis": "^5.4.1",
		"nanoid": "^5.0.8",
		"runed": "^0.23.0",
		"tailwindcss-animate": "^1.0.7",
		"trpc-svelte-query-adapter": "^2.3.15",
		"trpc-sveltekit": "^3.6.2",
		"unplugin-icons": "^0.20.1",
		"winston": "^3.17.0",
		"winston-daily-rotate-file": "^5.0.0",
		"zod": "^3.24.1"
	},
	"devDependencies": {
		"@iconify/json": "^2.2.275",
		"@internationalized/date": "^3.6.0",
		"@lucide/svelte": "^0.503.0",
		"@sveltejs/kit": "^2.0.0",
		"@sveltejs/vite-plugin-svelte": "^4.0.0",
		"@types/node": "^22.9.3",
		"autoprefixer": "^10.4.20",
		"bits-ui": "^1.4.1",
		"clsx": "^2.1.1",
		"embla-carousel-svelte": "^8.6.0",
		"formsnap": "^2.0.0",
		"mode-watcher": "^0.5.0",
		"prettier": "^3.3.2",
		"prettier-plugin-svelte": "^3.2.6",
		"prettier-plugin-tailwindcss": "^0.6.9",
		"svelte": "^5.0.0",
		"svelte-adapter-bun": "^0.5.2",
		"svelte-check": "^4.0.0",
		"svelte-sonner": "^0.3.28",
		"sveltekit-superforms": "^2.21.1",
		"tailwind-merge": "^2.5.4",
		"tailwind-variants": "^0.3.0",
		"tailwindcss": "^3.4.9",
		"typescript": "^5.0.0",
		"vite": "^5.0.3",
		"vitest": "^2.0.4"
	},
	"prettier": {
		"useTabs": true,
		"tabWidth": 4,
		"singleQuote": false,
		"trailingComma": "all",
		"printWidth": 82,
		"plugins": [
			"prettier-plugin-svelte",
			"prettier-plugin-tailwindcss"
		],
		"overrides": [
			{
				"files": "*.svelte",
				"options": {
					"parser": "svelte"
				}
			}
		]
	}
}
